edu.northwestern.at.utils.math.distributions

## Class Sig

- java.lang.Object
- - edu.northwestern.at.utils.math.distributions.Sig

-     public class Sig
      extends java.lang.Object

  Point probabilities and percentage points for statistical distributions.

  This class provides "one stop shopping" for point probabilities percentage points for commonly used statistical distributions. These include the Beta, F, t, chi-square, and normal distributions. Both the forward (probability) and inverse (percentage point) functions are provided. This class is actually just provides a shim to the methods in the individual classes for each distribution.

  Point probability routines

  - chisquare -- significance of chi-square
  - f -- significance of F
  - normal -- significance of normal value
  - t -- significance of Student's t

  Inverse distributions (percentage points)

  - chisquareInverse -- inverse chi-square
  - fInverse -- inverse F
  - normalInverse -- inverse normal
  - tInverse -- inverse t

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Sig()` Make class non-instantiable but inheritable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `bonferroni(double p, int n)`
    `static double` | `chisquare(double chiSquare, double df)`
    `static double` | `chisquare(double chiSquare, int df)`
    `static double` | `chisquareInverse(double p, double df)`
    `static double` | `chisquareInverse(double p, int df)`
    `static double` | `f(double f, double dfn, double dfd)`
    `static double` | `f(double f, int dfn, int dfd)`
    `static double` | `fInverse(double p, double dfn, double dfd)`
    `static double` | `fInverse(double p, int dfn, int dfd)`
    `static double` | `normal(double z)`
    `static double` | `normalInverse(double p)`
    `static double` | `sidak(double p, int n)`
    `static double` | `t(double t, double df)`
    `static double` | `t(double t, int df)`
    `static double` | `tInverse(double p, double df)`
    `static double` | `tInverse(double p, int df)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sig

          protected Sig()

      Make class non-instantiable but inheritable.

  - ### Method Detail

    - #### chisquare

          public static double chisquare(double chiSquare,
                         double df)

    - #### chisquare

          public static double chisquare(double chiSquare,
                         int df)

    - #### chisquareInverse

          public static double chisquareInverse(double p,
                                double df)

    - #### chisquareInverse

          public static double chisquareInverse(double p,
                                int df)

    - #### f

          public static double f(double f,
                 double dfn,
                 double dfd)

    - #### f

          public static double f(double f,
                 int dfn,
                 int dfd)

    - #### fInverse

          public static double fInverse(double p,
                        double dfn,
                        double dfd)

    - #### fInverse

          public static double fInverse(double p,
                        int dfn,
                        int dfd)

    - #### normal

          public static double normal(double z)

    - #### normalInverse

          public static double normalInverse(double p)

    - #### t

          public static double t(double t,
                 double df)

    - #### t

          public static double t(double t,
                 int df)

    - #### tInverse

          public static double tInverse(double p,
                        double df)

    - #### tInverse

          public static double tInverse(double p,
                        int df)

    - #### sidak

          public static double sidak(double p,
                     int n)

    - #### bonferroni

          public static double bonferroni(double p,
                          int n)